com.cicada.player.utils

## Class Logger

- java.lang.Object
- - com.cicada.player.utils.Logger

-     public class Logger
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Logger.LogLevel` Log level
    `static interface` | `Logger.OnLogCallback` Log callback.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `d(java.lang.String tag, java.lang.String msg)`
    `static void` | `e(java.lang.String tag, java.lang.String msg)`
    `void` | `enableConsoleLog(boolean bEnabled)` whether to enable console log printing
    `static Logger` | `getInstance(android.content.Context context)` gets the singleton of the Logger
    `Logger.OnLogCallback` | `getLogCallback()` get the log callback
    `Logger.LogLevel` | `getLogLevel()` get the log level
    `static void` | `i(java.lang.String tag, java.lang.String msg)`
    `static void` | `loadClass()`
    `void` | `setLogCallback(Logger.OnLogCallback callback)` Set a log callback.
    `void` | `setLogLevel(Logger.LogLevel logLevel)` Set a log callback.
    `static void` | `v(java.lang.String tag, java.lang.String msg)`
    `static void` | `w(java.lang.String tag, java.lang.String msg)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### loadClass

          public static void loadClass()

    - #### getInstance

          public static Logger getInstance(android.content.Context context)

      gets the singleton of the Logger
      Parameters:
        `context` -
      Returns:
        singleton for Logger

    - #### setLogCallback

          public void setLogCallback(Logger.OnLogCallback callback)

      Set a log callback.
      Parameters:
        `callback` - The log callback.

    - #### getLogCallback

          public Logger.OnLogCallback getLogCallback()

      get the log callback
      Returns:
        log callback

    - #### setLogLevel

          public void setLogLevel(Logger.LogLevel logLevel)

      Set a log callback.
      Parameters:
        `logLevel` - The level of the log. See Logger.LogLevel.

    - #### getLogLevel

          public Logger.LogLevel getLogLevel()

      get the log level
      Returns:
        log level. See Logger.LogLevel.

    - #### enableConsoleLog

          public void enableConsoleLog(boolean bEnabled)

      whether to enable console log printing
      Parameters:
        `bEnabled` -

    - #### d

          public static void d(java.lang.String tag,
                               java.lang.String msg)

    - #### i

          public static void i(java.lang.String tag,
                               java.lang.String msg)

    - #### v

          public static void v(java.lang.String tag,
                               java.lang.String msg)

    - #### w

          public static void w(java.lang.String tag,
                               java.lang.String msg)

    - #### e

          public static void e(java.lang.String tag,
                               java.lang.String msg)